%include	/usr/lib/rpm/macros.php
%define		_class		Net
%define		_subclass	IPv4
%define		_status		stable
%define		_pearname	%{_class}_%{_subclass}

Summary:	%{_pearname} - IPv4 network calculations and validation
Summary(pl.UTF-8):	%{_pearname} - obliczanie i kontrola adresów sieciowych IPv4
Name:		php-pear-%{_pearname}
Version:	1.3.5
Release:	1
License:	PHP 2.0
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	a7951d942fce2998a51d9eeba2de75b5
URL:		http://pear.php.net/package/Net_IPv4/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Class used for calculating IPv4 (AF_INET family) address information
such as network addresses as well as IP address validity.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Klasa służy do obliczania informacji o adresach sieciowych IPv4
(rodzina AF_INET) takich jak adresy sieci, a także sprawdzania
poprawności adresów IP.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php
%{php_pear_dir}/data/Net_IPv4
%changelog
* Fri Mar 01 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pear-Net_IPv4.git;a=log;h=master

* Fri Mar 01 2019 Adam Gołębiowski <adamg@pld-linux.org> 3216bf7
- updated to 1.3.5

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 36374fd
- tests are no longer installed - don't try to remove them

* Tue Sep 21 2010 Elan Ruusamäe <glen@pld-linux.org> 3300748
- updated to: 1.3.4

* Thu Aug 19 2010 Elan Ruusamäe <glen@pld-linux.org> 7cfa581
- up to 1.3.2

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> a739e1d
- rel 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 5496031
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> d4da449
- converted to UTF-8

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> b3bfa5a
- BR rpm-build macros >= 1.300 for %pear_ macros

* Tue Mar 07 2006 Elan Ruusamäe <glen@pld-linux.org> b2204bf
- BR php-pear-PEAR

* Thu Dec 08 2005 Elan Ruusamäe <glen@pld-linux.org> e7a36ec
- 1.3.0

* Wed Oct 05 2005 Elan Ruusamäe <glen@pld-linux.org> f66b535
- rel 3

* Wed Sep 28 2005 Elan Ruusamäe <glen@pld-linux.org> f2dca9c
- new pear packaging

* Sat Dec 04 2004 Adam Gołębiowski <adamg@pld-linux.org> 46f82e3
- rebuild with new PEAR provides/requires scripts
- release 2

* Sun May 30 2004 Adam Gołębiowski <adamg@pld-linux.org> 3c83c38
- fixed english information about status of the package

* Sat May 01 2004 Adam Gołębiowski <adamg@pld-linux.org> 2260275
- updated to 1.2

* Mon Mar 15 2004 ankry <ankry@pld-linux.org> 7677853
- massive cosmetics

* Tue Oct 07 2003 Adam Gołębiowski <adamg@pld-linux.org> fbabd3d
- do not use macros in URL

* Sun Aug 31 2003 Adam Gołębiowski <adamg@pld-linux.org> 298b798
- more specific URL

* Sun Jun 22 2003 Adam Gołębiowski <adamg@pld-linux.org> c001482
- updated to 1.1
- added PEAR status information
- fixed License

* Wed May 28 2003 Adam Gołębiowski <adamg@pld-linux.org> fcc2326
- massive attack: added source0-md5

